作废采购单
POST
/erp/sc/routing/purchase/purchase/cancel允许作废处于 “待审核”、“待下单”、“待到货”、“已完成” 状态下的采购单
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/purchase/purchase/cancel | HTTPS | POST | 1 |
请求参数
order_snstring必填reasonstring必填is_cancel_relationinteger必填请求示例
{
"order_sn": "PO211112002",
"reason": "不需要采购了",
"is_cancel_relation": 1
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<any>必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "8DFEE1CA-EC9B-F401-5D41-9F95251D5D50",
"response_time": "2023-06-25 12:41:04",
"data": [],
"total": 0
}
返回失败示例
{
"code": 500,
"message": "内部错误",
"error_details": "到过货的采购单不允许作废 [请求码:457CD6]",
"request_id": "545B63DD-7945-067B-B861-0EDEB7723773",
"response_time": "2023-06-25 12:51:14",
"data": null,
"total": 0
}